=== debian/changelog ===
ros-kinetic-object-recognition-tod (0.5.6-0xenial) xenial; urgency=high

  * fix OpenCV3 compilation
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Apr 2016 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.5.5-0xenial) xenial; urgency=high

  * Fix seg fault while detecting objects
    In many cases, matches[i] contains less than 5 elements (varies seemingly random between 0 and 4)
    Long history available [here](https://github.com/plasmodic/ecto_opencv/commit/2f2fe7fb75d09337c1d594cee416bd948f337b30#commitcomment-10687068)
  * Contributors: Jorge Santos Simón

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 18 Apr 2015 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.5.4-0xenial) xenial; urgency=high

  * fix radius search not support with LSH
  * remove useless code
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 14 Apr 2015 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.5.3-0xenial) xenial; urgency=high

  * use OpenCV and not opencv_candidate for LSH
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 30 Mar 2015 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.5.2-0xenial) xenial; urgency=high

  * add opencv_candidate as a dependency
    It is included but just transitively so it's better to have it
    directly
  * Revert "remove dependency on opencv_candidate"
    This reverts commit 3a515e48c815b9e0c7f6df20b730b98d0dccd5df.
    The RGBD module from opencv_candidate is indeed needed
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Mar 2015 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.5.1-0xenial) xenial; urgency=high

  * remove dependency on opencv_candidate
  * clean extensions
  * remove useless build dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Mar 2015 23:00:00 -0000

ros-kinetic-object-recognition-tod (0.5.0-0xenial) xenial; urgency=high

  * compile under Indigo
  * Merge pull request #6 <https://github.com/wg-perception/tod/issues/6> from awesomebytes/patch-2
    For some reason this is needed using openni
  * For some reason this is needed using openni
    This is just a workaround, the real problem is that the default values expect:
    ```[ INFO] [1395248076.002277778]: Subscribed to topic:/camera/rgb/camera_info with queue size of 1
    [ INFO] [1395248076.003073369]: Subscribed to topic:/camera/rgb/image_raw with queue size of 1
    [ INFO] [1395248076.003968179]: Subscribed to topic:/camera/depth_registered/camera_info with queue size of 1
    [ INFO] [1395248076.004994459]: Subscribed to topic:/camera/depth_registered/image_raw with queue size of 1
    ```
    Using openni2 this is not a problem as it's published by default but using openni those are not published, so this workarounds that.
  * Merge pull request #5 <https://github.com/wg-perception/tod/issues/5> from awesomebytes/patch-1
    Configuration that gives detections
  * Configuration that gives detections
    Tested with an Asus Xtion and 6 objects trained.
    The sink2 + adding to pipeline1 the output sink2 makes that /recognized_object_array has publications!
  * fix tests
  * add openni runtime dependency
  * fix the ROS config file to use ROS
  * drop Fuerte support
  * update url
  * udpate the docs
  * Merge pull request #3 <https://github.com/wg-perception/tod/issues/3> from destogl/ros_cell_config_correction
    Corrected cell cofing to work out-of-the-box with ROS.
  * Corrected cell cofing to work out of the box with ros.
    There was problem with wrong type and parameters cell is added.
  * fixes wg-perception/object_recognition_core#13 <https://github.com/wg-perception/object_recognition_core/issues/13>
  * Contributors: Denis Štogl, Sammy Pfeiffer, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.16-0xenial) xenial; urgency=high

  * use proper K_image/K_depth
  * update email address
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 28 May 2013 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.15-0xenial) xenial; urgency=high

  * fix display
  * fix the 3d point non-sense
  * comply to the new core API
  * finally convert the Trainer fully to C++
  * remove old split modules in favor of one cell
  * comply to the new DB API
  * implement moreof the pipeline
  * comply to the new headers in core
  * add a Trainer cell to replace the Python mess
  * make the cell contents be in a common library-like file
  * fix the pipeline
  * fix the invalid plasm
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 13 Apr 2013 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.14-0xenial) xenial; urgency=high

  * comply to the new DB API
  * fix a Sphinx warning
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Mar 2013 23:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.13-0xenial) xenial; urgency=high

  * comply to the tighter BlackBox API
  * comply to the API
  * fix a member that can be static
  * remove rst warning
  * build its own docs
  * get the training test to pass
  * rename the config files
  * clean the CMake
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Feb 2013 23:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.12-0xenial) xenial; urgency=high

  * comply to the new ORK API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 16 Jan 2013 23:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.11-0xenial) xenial; urgency=high

  * use the new DB API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Jan 2013 23:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.10-0xenial) xenial; urgency=high


